Bug 772021

Summary: udev rules don't allow mounting of multi-device btrfs filesystems
Product: [Fedora] Fedora Reporter: john.haxby <john.haxby>
Component: udevAssignee: udev-maint
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: harald, jonathan, udev-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 19:00:44 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
90-btrfs.rules none

Description john.haxby@oracle.com 2012-01-05 11:59:07 EST
Created attachment 550964 [details]
90-btrfs.rules

Description of problem:
  I have a btrfs file system that spans two external disks.   If I connect both
  disks when logged into a graphical console (where udisks is running) I can
  correctly mount the filesystem (although both gnome and kde are a little
  confused about what to do with the second disk!) 

  Normally, however, this system does not run with a graphical console and
  udisks is not running.  In this case, "btrfs device scan" is not run when
  the disks are plugged in and I cannot mount the file system.

Version-Release number of selected component (if applicable):
  udev-173-3.fc16.x86_64

How reproducible:  Always


Steps to Reproduce:
1. Take two external USB disks with partitions /dev/sdc1 and /dev/sdd1.
   Plug both disks in and then:
      
2. mkfs.btrfs -L flora /dev/sdc1
   mkdir /mnt/flora
   mount LABEL=flora /mnt/flora
   mkfs.btrfs /dev/sdd1
   btrfs device add /dev/sdd1 /mnt/flora

   You should now have a single file system spanning both disks.  Shut the
   machine down, unplug the disks, and reboot.

3. Log into a text console (so udisks isn't running) and plug both disks
   in.   Wait for everything to settle and then

   btrfs filesystem show

   Will show the file system that spans two disks.  Now

   mount LABEL=flora /mnt/flora
  

Actual results:

   The file system doesn't mount


Expected results:

  The file system should mount


Additional info:

  What is missing is a udev rule to scan the disks as they are inserted.  Put
  the attached file in /lib/udev/rules.d/90-btrfs.rules, go through the
  shutdown, unplug, reboot, plug in, mount sequence again and the file system
  will mount.
Comment 1 Fedora End Of Life 2013-01-16 15:36:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 19:00:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.